﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TreeView_WPF
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            (Resources["DataSource"] as RadTreeViewSampleData).SelectedItem = (radTreeView.ItemsSource as IEnumerable<League>).LastOrDefault();
        }
    }
    public class League : DependencyObject
    {
        public League(string name, bool isSelected)
        {
            this.Name = name;
            this.Leagues = new List<League>();
            IsSelected = isSelected;
        }

        public string Name
        {
            get;
            set;
        }

        public List<League> Leagues
        {
            get;
            set;
        }

        public bool IsSelected
        {
            get;
            set;
        }
    }

    public class RadTreeViewSampleData : DependencyObject
    {
        /// <summary> 
        /// Identifies the SelectedItem dependency property. 
        /// </summary> 
        public static readonly DependencyProperty SelectedItemProperty = DependencyProperty.Register("SelectedItem", typeof(League), typeof(RadTreeViewSampleData));

        /// <summary> 
        /// Gets or sets SelectedItem.  This is a dependency property. 
        /// </summary> 
        public League SelectedItem
        {
            get { return (League)GetValue(SelectedItemProperty); }
            set { SetValue(SelectedItemProperty, value); }
        }

        public RadTreeViewSampleData()
        {
            this.InitializeLeaguesDataSource();
        }

        public List<League> LeaguesDataSource
        {
            get;
            set;
        }

        private void InitializeLeaguesDataSource()
        {
            this.LeaguesDataSource = new List<League>();
            League l;
            League d;
            this.LeaguesDataSource.Add(l = new League("League A",true));
            this.LeaguesDataSource.Add(d = new League("League B",false));
        }
    } 
}
